<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addbackup_plan_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 2.8.1
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Husain
// Date:       11th November 2015
// Time:       16:15 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function addbackup_plan_theme(){

global $theme, $globals, $kernel, $user, $l, $error, $cluster, $done, $backupservers, $servers, $servergroups;
	
softheader($l['<title>']);

echo '
<div class="bg">
<div class="row my-3 mx-auto">
<div class="col-10">
<h4 class="text-dark"><i class="fas fa-clipboard"></i> '.$l['addbackup_plan'].'</h4>
</div>
<div class="col-2 text-right">
<span><a href="'.$globals['docs'].'backup-plans/" target="_blank" tooltip="'.$l['wiki_help'].'"><i class="icon-help text-dark" ></i></a></span>
</div>
</div>';

error_handle($error);
if(!empty($done)){
	show_alert($l['done'] ,"0" ,"backup_plans");
	//echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '..'</div>';
}

	echo '
	<script language="javascript" type="text/javascript">
				
	$(document).ready(function(){
	
		$("input:radio").change(function(event){
			if(event.target.value == "weekly"){
				$("#backupday_tr").show();
				$("#backupdate_tr").hide();
				$("#tr_time").show();
				$("#backuphourly_tr").hide();
			}else if(event.target.value == "monthly"){
				$("#backupdate_tr").show();
				$("#backupday_tr").hide();
				$("#tr_time").show();
				$("#backuphourly_tr").hide();
			}else if(event.target.value == "daily"){
				$("#backupdate_tr").hide();
				$("#backupday_tr").hide();
				$("#tr_time").show();
				$("#backuphourly_tr").hide();
			}else if(event.target.value == "hourly"){
				$("#backupdate_tr").hide();
				$("#backupday_tr").hide();
				$("#tr_time").hide();
				$("#backuphourly_tr").show();
			}else{
				$("#backupdate_tr").hide();
				$("#backupday_tr").hide();
				$("#tr_time").hide();
				$("#backuphourly_tr").hide();
			}
		});

		$("#type").change(function(data){
			if(data.target.value == "LOCAL"){
				$("#tr_backup_servers").hide();
			}else{
				$("#tr_backup_servers").show();
				if(data.target.value == "FTP"){
					$(".FTP").show();
					$(".SSH").hide();
				}else{
					$(".SSH").show();
					$(".FTP").hide();
				}
			}

		});

	});
	
	function toggle_advoptions(ele){
			
		var div_ele = $("#"+ele+"_advoptions");
		
		if (div_ele.is(":hidden")){
			$("#"+ele+"_advoptions_ind").text(" - ");
			div_ele.slideDown("slow");
		}
		else{
			$("#"+ele+"_advoptions_ind").text(" + ");
			div_ele.slideUp("slow");
		}
	}
	
	</script>
	
	<div id="form-container">
	<form accept-charset="'.$globals['charset'].'" action="" method="post" name="vpsbackups" class="form-horizontal">
	
	<div class="roundheader cursor-pointer" onclick="toggle_advoptions(\'general\');"><label id="general_advoptions_ind" class="min_width">-</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;General Settings</div>
	<div id="general_advoptions" class="w-100">
			<div class="row mx-auto w-100 my-1">
				<div class="col-sm-12 col-md-12 col-lg-6 border-right">
					<div class="row mx-auto w-100 my-3">
						<div class="col-6">
							<label class="control-label">'.$l['backup_disabled'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_disabled'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6">
							'.get_checkbox('disabled', '', 'disabled').'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6">
							<label class="control-label">'.$l['disable_suspended_vm'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['disable_suspended_vm_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6">
							'.get_checkbox('disable_suspended_vm', '', 'disable_suspended_vm').'
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6">
							<label class="control-label">'.$l['planname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['nameofplan'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6">
							<input type="text" class="form-control" name="plan_name" id="plan_name" value="'.POSTval('plan_name', '').'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6">
							<label class="control-label">'.$l['sel_type'].'</label><br />
						</div>
						<div class="col-sm-6">
							<select id="type" class="custom-select" name="type" id="type">
								<option value="LOCAL" '.(POSTselect('type', 'LOCAL')).'>Local</option>
								<option value="FTP" '.(POSTselect('type', 'FTP')).'>FTP</option>
								<option value="SSH" '.(POSTselect('type', 'SSH')).'>SSH</option>
							</select>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3" id="tr_backup_servers" style="display:none">
						<div class="col-sm-6">
							<label class="control-label">'.$l['sel_backupserver'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_sel_backupserver'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6">
							<select class="custom-select" name="id">';
							foreach($backupservers as $k => $v){
								echo '<option class="'.$v['type'].'" value="'.$v['bid'].'" '.POSTselect('id', $v['bid']).'>'.$v['name'].'</option>';
							}
						echo '</select>
						</div>
					</div>					
					<div class="row mx-auto w-100 my-3" id="tr_dir">
						<div class="col-sm-6">
							<label class="control-label">'.$l['local_dir'].'&nbsp;<a class="info" data-placement="right" tooltip="'.htmlizer($l['exp_local_dir']).'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6">
							<input type="text" class="form-control" name="dir" id="dir" value="'.POSTval('dir', '').'" size="40"/>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-6">
							<label class="control-label">'.$l['backup_freq'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_freq'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6">
							<label class="custom-control custom-radio">
								<input type="radio" class="custom-control-input" id="freqh" name="freq" value="hourly" '.POSTradio('freq', 'hourly').'>
								<span class="custom-control-label" for="freqh">'.$l['freq_hourly'].'</span>
							</label>
							<label class="custom-control custom-radio">
								<input type="radio" class="custom-control-input" id="freqd" name="freq" value="daily" '.POSTradio('freq', 'daily').'>
								<span class="custom-control-label" for="freqd">'.$l['freq_daily'].'</span>
							</label>
							<label class="custom-control custom-radio">
								<input type="radio" class="custom-control-input" id="freqw" name="freq" value="weekly" '.POSTradio('freq', 'weekly').'>
								<span class="custom-control-label" for="freqw">'.$l['freq_weekly'].'</span>
							</label>
							<label class="custom-control custom-radio">
								<input type="radio" class="custom-control-input" id="freqm" name="freq" value="monthly" '.POSTradio('freq', 'monthly').'>
								<span class="custom-control-label" for="freqm">'.$l['freq_monthly'].'</span>
							</label>
							<label class="custom-control custom-radio">
								<input type="radio" class="custom-control-input" id="freqmn" name="freq" value="manual" '.POSTradio('freq', 'manual').'>
								<span class="custom-control-label" for="freqmn">'.$l['freq_manual'].'</span>
							</label>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3" id="backuphourly_tr" style="display:none">
						<div class="col-sm-6">
							<label class="control-label">'.$l['backup_hourly'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_hourly'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6">
							<select class="custom-select w-50" name="hourly_freq">';
								for($i=0;$i<24;$i++){
									echo '<option value="'.($i < 10 ? '0'.$i : $i).'" '.POSTselect('hourly_freq', $i).' >'.($i < 10 ? '0'.$i : $i).'</option>';
								}
						echo'</select><label class="p-2">'.$l['hrs'].'</label>
						</div>
					</div>		
					<div class="row mx-auto w-100 my-3" id="backupday_tr" style="display:none;">
						<div class="col-sm-6">
							<label class="control-label">'.$l['backup_day'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_day'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6">
							<select class="custom-select" name="day">
								<option value="1" '.POSTselect('day', "1").' >Monday</option>
								<option value="2" '.POSTselect('day', "2").' >Tuesday</option>
								<option value="3" '.POSTselect('day', "3").' >Wednesday</option>
								<option value="4" '.POSTselect('day', "4").' >Thursday</option>
								<option value="5" '.POSTselect('day', "5").' >Friday</option>
								<option value="6" '.POSTselect('day', "6").' >Saturday</option>
								<option value="7" '.POSTselect('day', "7").' >Sunday</option>
							</select>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3" id="backupdate_tr" style="display:none;">
						<div class="col-sm-6">
							<label class="control-label">'.$l['backup_date'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_date'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6">
							<select name="date" class="custom-select">';
							for($i=1;$i<32;$i++){
								echo '<option value="'.$i.'" '.POSTselect('date', $i).' >'.$i.'</option>';
							}
						echo '</select>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3" id="tr_time" style="display:none;">
						<div class="col-sm-6">
							<label class="control-label">'.$l['backup_time'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_time'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6">
							<select class="custom-select w-25 p-1 float-left" name="hrs">';
							for($i=0;$i<24;$i++){
								echo '<option value="'.($i < 10 ? '0'.$i : $i).'" '.POSTselect('hrs', $i).' >'.($i < 10 ? '0'.$i : $i).'</option>';
							}
						echo '</select>
							<label class="side_lbl">'.$l['hrs'].'</label>
							<select class="custom-select w-25 p-1 float-left" name="min">';
								for($i=0;$i<60;$i++){
									echo '<option value="'.($i < 10 ? '0'.$i : $i).'" '.POSTselect('min', $i).' >'.($i < 10 ? '0'.$i : $i).'</option>';
								}
						echo '</select><label class="side_lbl">'.$l['min'].'</label>
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6">
							<label class="control-label">'.$l['backup_rotation'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_rotation'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6">
							<select class="custom-select" name="rotation">';
							for($i = 1; $i < 11; $i++){
								echo '<option value="'.$i.'" '.POSTselect('rotation', $i).' >'.$i.'</option>';
							}
							
							echo '<option value="0" '.POSTselect('rotation', 0).' >'.$l['unlimited'].'</option>';
							
						echo '</select>
						</div>
					</div>
					
			</div>
			<div class="col-sm-12 col-md-12 col-lg-6">
				<div class="row mx-auto w-100 my-3" id="tr_backup_limit">
					<div class="col-sm-6">
						<label class="control-label">'.$l['backup_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_limit'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						<select class="custom-select" name="backup_limit" id="backup_limit">';
						
						echo '<option value="0" '.POSTselect('backup_limit', 0).' >'.$l['disabled'].'</option>';
						
						for($i = 1; $i < 11; $i++){
							echo '<option value="'.$i.'" '.POSTselect('backup_limit', $i).' >'.$i.'</option>';
						}
						
						echo '<option value="-1" '.POSTselect('backup_limit', -1).' >'.$l['unlimited'].'</option>';
						
					echo '</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3" id="tr_restore_limit">
					<div class="col-sm-6">
						<label class="control-label">'.$l['restore_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_restore_limit'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						<select class="custom-select" name="restore_limit" id="restore_limit">';
						
						echo '<option value="0" '.POSTselect('restore_limit', 0).' >'.$l['disabled'].'</option>';
						
						for($i = 1; $i < 11; $i++){
							echo '<option value="'.$i.'" '.POSTselect('restore_limit', $i).' >'.$i.'</option>';
						}
						
						echo '<option value="-1" '.POSTselect('restore_limit', -1).' >'.$l['unlimited'].'</option>';
						
					echo '</select>
					</div>
				</div>
				<!-- <div class="row mx-auto w-100 my-3">
					<div class="col-6">
						<label class="control-label">'.$l['enable_enduser_backup_servers'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_enable_enduser_backup_servers'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6">
						'.get_checkbox('enable_enduser_backup_servers', '', 'enable_enduser_backup_servers').'
					</div>
				</div> -->
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['nice'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['nice_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						<select class="custom-select" name="nice" id="nice">';
						for($i=-20; $i<20; $i++){
							echo '<option value="'.$i.'" '.POSTselect('nice', $i).'>'.$i.'</option>';
						}
					echo '</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['ionice_prio'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ionice_prio_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						<select class="custom-select" name="ionice_prio" id="ionice_prio">';
						for($i=0; $i<8; $i++){
							echo '<option value="'.$i.'" '.POSTselect('ionice_prio', $i).'>'.$i.'</option>';
						}
				echo '</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['ionice_class'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ionice_class_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						<select class="custom-select" name="ionice_class" id="ionice_class">
							<option value="1" '.POSTselect('ionice_class', 1).' >Real Time</option>
							<option value="2" '.POSTselect('ionice_class', 2).'>Best Effort</option>
							<option value="3" '.POSTselect('ionice_class', 3).'>Idle</option>
						</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['io_limit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_io_limit'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6">
						<input type="number" class="form-control" name="io_limit" value="'.POSTval('io_limit', '0').'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-6">
						<label class="control-label">'.$l['backup_compression'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_backup_compression'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6">
						'.get_checkbox('compression', '', 'compression').'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-6">
						<label class="control-label">'.$l['check_dir_permissions'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_check_dir_permissions'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6">
						'.get_checkbox('check_dir_permissions', '', 'check_dir_permissions', array('chk_it' => 1, 'val' => true)).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6">
						<label class="control-label">'.$l['backup_primary'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['primary_backup_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6">
						'.get_checkbox('backup_primary', '', 'backup_primary', array('chk_it' => 1)).'
					</div>
				</div>
			</div>
		</div>
	</div>
	<br>
	<div class="roundheader hide_for_plan cursor-pointer" onclick="toggle_advoptions(\'adv\');"><label id="adv_advoptions_ind"  class="min_width">+</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$l['addvoption'].'</div>
			<div id="adv_advoptions" class="hide_for_plan w-100" style="display:none;">
				<div class="col-sm-12 bgaddv">
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-12">
							<label class="control-label">'.$l['backup_server_per_region'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['backup_server_per_region_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-12">
							<div class="scrollbar-virt">
								<table class="table table-bordered">
									<tr class="active">
										<th>'.$l['server_group_header'].'</th>
										<th>'.$l['sel_backupserver'].'</th>
										<th>'.$l['local_dir'].'</th>
									</tr>';
									
									foreach($servergroups as $sgid => $servergroup) {
										
										echo '<tr>
											<th>[Group] '.$servergroup['sg_name'].'</th>
											<th><select class="virt-select" name="bs_sg'.$sgid.'">
												<option value="0" '.(POSTselect('bs_sg'.$sgid, 0)).'>'.$l['default'].'</option>
												<option value="-1" '.(POSTselect('bs_sg'.$sgid, -1)).'>LOCAL</option>
												<optgroup label="SSH">';
												
													foreach($backupservers as $bid => $bs) {
														if($bs['type'] == 'SSH') {
															echo '<option value="'.$bid.'" '.(POSTselect('bs_sg'.$sgid, $bid)).'>'.$bs['name'].'</option>';
														}
													}
											
												echo '</optgroup>
												<optgroup label="FTP">';
												
													foreach($backupservers as $bid => $bs) {
														if($bs['type'] == 'FTP') {
															echo '<option value="'.$bid.'" '.(POSTselect('bs_sg'.$sgid, $bid)).'>'.$bs['name'].'</option>';
														}
													}
											
												echo '</optgroup>
											</select></th>
											<th><input type="text" class="form-control" name="dir_sg'.$sgid.'" value="'.POSTval('dir_sg'.$sgid, '').'" placeholder="'.$l['default_dir'].'" size="40"/></th>
										</tr>';
										
										foreach($servers as $serid => $server) {
											
											if($server['sgid'] != $sgid) {
												continue;
											}
											
											echo '<tr>
												<td> - '.$server['server_name'].' ('.$server['ip'].')</td>
												<th><select class="virt-select" name="bs_s'.$serid.'">
													<option value="0" '.(POSTselect('bs_s'.$serid, 0)).'>'.$l['default'].'</option>
													<option value="-1" '.(POSTselect('bs_s'.$serid, -1)).'>LOCAL</option>
													<optgroup label="SSH">';
													
														foreach($backupservers as $bid => $bs) {
															if($bs['type'] == 'SSH') {
																echo '<option value="'.$bid.'" '.(POSTselect('bs_s'.$serid, $bid)).'>'.$bs['name'].'</option>';
															}
														}
												
													echo '</optgroup>
													<optgroup label="FTP">';
													
														foreach($backupservers as $bid => $bs) {
															if($bs['type'] == 'FTP') {
																echo '<option value="'.$bid.'" '.(POSTselect('bs_s'.$serid, $bid)).'>'.$bs['name'].'</option>';
															}
														}
												
													echo '</optgroup>
												</select></th>
												<th><input type="text" class="form-control" name="dir_s'.$serid.'" value="'.POSTval('dir_s'.$serid, '').'"  placeholder="'.$l['default_dir'].'" size="40"/></th>
											</tr>';
											
										}
										
									}
									
									echo '</table>
							</div>
						</div>
					</div>
				</div>
			</div>
		
		
		
		
		<br /><br />
		<center><input type="submit" name="addbackup_plan"  id="addbackup_plan" value="'.$l['submit'].'" class="go_btn"/></center>

		<br /><br />
	</form>
	</div>';

echo '</div>';
softfooter();

}

?>